﻿


Option Strict Off
Imports System
Imports System.Collections.Generic
Imports NXOpen

Module Module1

    Sub Main()

        Dim theSession As Session = Session.GetSession()
        If IsNothing(theSession.Parts.Work) Then
            'active part required
            Return
        End If

        Dim workPart As Part = theSession.Parts.Work
        Dim lw As ListingWindow = theSession.ListingWindow
        lw.Open()

        Dim FLATPATTERNLISTLIST As New List(Of Features.Feature)
        For Each myFeature As Features.Feature In workPart.Features
            'lw.WriteLine(".GetFeatureName: " & myFeature.GetFeatureName)
            'lw.WriteLine(".Name: " & myFeature.Name)
            'lw.WriteLine(".FeatureType: " & myFeature.FeatureType)
            'lw.WriteLine(".GetType: " & myFeature.GetType.ToString)
            If myFeature.FeatureType = "FLAT_PATTERN" Then
                'add feature to a list for future reference
                FLATPATTERNLISTLIST.Add(myFeature)
            End If

        Next

        lw.WriteLine("the work part contains " & FLATPATTERNLISTLIST.Count.ToString & " Flat Pattern features:")
        For Each FLATPATTERN As Features.Feature In FLATPATTERNLISTLIST
            lw.WriteLine(FLATPATTERN.GetFeatureName)
        Next

        lw.Close()

    End Sub

End Module
